-- VHDL netlist generated by SCUBA Diamond (64-bit) 3.12.1.454
-- Module  Version: 7.5
--/usr/local/diamond/3.12/ispfpga/bin/lin64/scuba -w -n dmem_ip -lang vhdl -synth lse -bus_exp 7 -bb -arch mg5a00 -type bram -wp 10 -rp 1000 -addr_width 9 -data_width 32 -num_rows 512 -writemode NORMAL -resetmode SYNC -byte 8 -cascade -1 

-- Tue Aug  9 18:05:44 2022

library IEEE;
use IEEE.std_logic_1164.all;
-- synopsys translate_off
library xp2;
use xp2.components.all;
-- synopsys translate_on

entity dmem_ip is
    port (
        Clock: in  std_logic; 
        ClockEn: in  std_logic; 
        Reset: in  std_logic; 
        ByteEn: in  std_logic_vector(3 downto 0); 
        WE: in  std_logic; 
        Address: in  std_logic_vector(8 downto 0); 
        Data: in  std_logic_vector(31 downto 0); 
        Q: out  std_logic_vector(31 downto 0));
end dmem_ip;

architecture Structure of dmem_ip is

    -- internal signal declarations
    signal scuba_vhi: std_logic;
    signal scuba_vlo: std_logic;

    -- local component declarations
    component VHI
        port (Z: out  std_logic);
    end component;
    component VLO
        port (Z: out  std_logic);
    end component;
    component DP16KB
    -- synopsys translate_off
        generic (GSR : in String; WRITEMODE_B : in String; 
                CSDECODE_B : in std_logic_vector(2 downto 0); 
                CSDECODE_A : in std_logic_vector(2 downto 0); 
                WRITEMODE_A : in String; RESETMODE : in String; 
                REGMODE_B : in String; REGMODE_A : in String; 
                DATA_WIDTH_B : in Integer; DATA_WIDTH_A : in Integer);
    -- synopsys translate_on
        port (DIA0: in  std_logic; DIA1: in  std_logic; 
            DIA2: in  std_logic; DIA3: in  std_logic; 
            DIA4: in  std_logic; DIA5: in  std_logic; 
            DIA6: in  std_logic; DIA7: in  std_logic; 
            DIA8: in  std_logic; DIA9: in  std_logic; 
            DIA10: in  std_logic; DIA11: in  std_logic; 
            DIA12: in  std_logic; DIA13: in  std_logic; 
            DIA14: in  std_logic; DIA15: in  std_logic; 
            DIA16: in  std_logic; DIA17: in  std_logic; 
            ADA0: in  std_logic; ADA1: in  std_logic; 
            ADA2: in  std_logic; ADA3: in  std_logic; 
            ADA4: in  std_logic; ADA5: in  std_logic; 
            ADA6: in  std_logic; ADA7: in  std_logic; 
            ADA8: in  std_logic; ADA9: in  std_logic; 
            ADA10: in  std_logic; ADA11: in  std_logic; 
            ADA12: in  std_logic; ADA13: in  std_logic; 
            CEA: in  std_logic; CLKA: in  std_logic; WEA: in  std_logic; 
            CSA0: in  std_logic; CSA1: in  std_logic; 
            CSA2: in  std_logic; RSTA: in  std_logic; 
            DIB0: in  std_logic; DIB1: in  std_logic; 
            DIB2: in  std_logic; DIB3: in  std_logic; 
            DIB4: in  std_logic; DIB5: in  std_logic; 
            DIB6: in  std_logic; DIB7: in  std_logic; 
            DIB8: in  std_logic; DIB9: in  std_logic; 
            DIB10: in  std_logic; DIB11: in  std_logic; 
            DIB12: in  std_logic; DIB13: in  std_logic; 
            DIB14: in  std_logic; DIB15: in  std_logic; 
            DIB16: in  std_logic; DIB17: in  std_logic; 
            ADB0: in  std_logic; ADB1: in  std_logic; 
            ADB2: in  std_logic; ADB3: in  std_logic; 
            ADB4: in  std_logic; ADB5: in  std_logic; 
            ADB6: in  std_logic; ADB7: in  std_logic; 
            ADB8: in  std_logic; ADB9: in  std_logic; 
            ADB10: in  std_logic; ADB11: in  std_logic; 
            ADB12: in  std_logic; ADB13: in  std_logic; 
            CEB: in  std_logic; CLKB: in  std_logic; WEB: in  std_logic; 
            CSB0: in  std_logic; CSB1: in  std_logic; 
            CSB2: in  std_logic; RSTB: in  std_logic; 
            DOA0: out  std_logic; DOA1: out  std_logic; 
            DOA2: out  std_logic; DOA3: out  std_logic; 
            DOA4: out  std_logic; DOA5: out  std_logic; 
            DOA6: out  std_logic; DOA7: out  std_logic; 
            DOA8: out  std_logic; DOA9: out  std_logic; 
            DOA10: out  std_logic; DOA11: out  std_logic; 
            DOA12: out  std_logic; DOA13: out  std_logic; 
            DOA14: out  std_logic; DOA15: out  std_logic; 
            DOA16: out  std_logic; DOA17: out  std_logic; 
            DOB0: out  std_logic; DOB1: out  std_logic; 
            DOB2: out  std_logic; DOB3: out  std_logic; 
            DOB4: out  std_logic; DOB5: out  std_logic; 
            DOB6: out  std_logic; DOB7: out  std_logic; 
            DOB8: out  std_logic; DOB9: out  std_logic; 
            DOB10: out  std_logic; DOB11: out  std_logic; 
            DOB12: out  std_logic; DOB13: out  std_logic; 
            DOB14: out  std_logic; DOB15: out  std_logic; 
            DOB16: out  std_logic; DOB17: out  std_logic);
    end component;
    attribute MEM_LPC_FILE : string; 
    attribute MEM_INIT_FILE : string; 
    attribute CSDECODE_B : string; 
    attribute CSDECODE_A : string; 
    attribute WRITEMODE_B : string; 
    attribute WRITEMODE_A : string; 
    attribute GSR : string; 
    attribute RESETMODE : string; 
    attribute REGMODE_B : string; 
    attribute REGMODE_A : string; 
    attribute DATA_WIDTH_B : string; 
    attribute DATA_WIDTH_A : string; 
    attribute MEM_LPC_FILE of dmem_ip_0_0_0 : label is "dmem_ip.lpc";
    attribute MEM_INIT_FILE of dmem_ip_0_0_0 : label is "";
    attribute CSDECODE_B of dmem_ip_0_0_0 : label is "0b000";
    attribute CSDECODE_A of dmem_ip_0_0_0 : label is "0b000";
    attribute WRITEMODE_B of dmem_ip_0_0_0 : label is "NORMAL";
    attribute WRITEMODE_A of dmem_ip_0_0_0 : label is "NORMAL";
    attribute GSR of dmem_ip_0_0_0 : label is "DISABLED";
    attribute RESETMODE of dmem_ip_0_0_0 : label is "SYNC";
    attribute REGMODE_B of dmem_ip_0_0_0 : label is "NOREG";
    attribute REGMODE_A of dmem_ip_0_0_0 : label is "NOREG";
    attribute DATA_WIDTH_B of dmem_ip_0_0_0 : label is "18";
    attribute DATA_WIDTH_A of dmem_ip_0_0_0 : label is "18";
    attribute NGD_DRC_MASK : integer;
    attribute NGD_DRC_MASK of Structure : architecture is 1;

begin
    -- component instantiation statements
    scuba_vhi_inst: VHI
        port map (Z=>scuba_vhi);

    scuba_vlo_inst: VLO
        port map (Z=>scuba_vlo);

    dmem_ip_0_0_0: DP16KB
        -- synopsys translate_off
        generic map (CSDECODE_B=> "000", CSDECODE_A=> "000", WRITEMODE_B=> "NORMAL", 
        WRITEMODE_A=> "NORMAL", GSR=> "DISABLED", RESETMODE=> "SYNC", 
        REGMODE_B=> "NOREG", REGMODE_A=> "NOREG", DATA_WIDTH_B=>  18, 
        DATA_WIDTH_A=>  18)
        -- synopsys translate_on
        port map (DIA0=>Data(0), DIA1=>Data(1), DIA2=>Data(2), 
            DIA3=>Data(3), DIA4=>Data(4), DIA5=>Data(5), DIA6=>Data(6), 
            DIA7=>Data(7), DIA8=>scuba_vlo, DIA9=>Data(8), 
            DIA10=>Data(9), DIA11=>Data(10), DIA12=>Data(11), 
            DIA13=>Data(12), DIA14=>Data(13), DIA15=>Data(14), 
            DIA16=>Data(15), DIA17=>scuba_vlo, ADA0=>ByteEn(0), 
            ADA1=>ByteEn(1), ADA2=>scuba_vlo, ADA3=>scuba_vlo, 
            ADA4=>Address(0), ADA5=>Address(1), ADA6=>Address(2), 
            ADA7=>Address(3), ADA8=>Address(4), ADA9=>Address(5), 
            ADA10=>Address(6), ADA11=>Address(7), ADA12=>Address(8), 
            ADA13=>scuba_vlo, CEA=>ClockEn, CLKA=>Clock, WEA=>WE, 
            CSA0=>scuba_vlo, CSA1=>scuba_vlo, CSA2=>scuba_vlo, 
            RSTA=>Reset, DIB0=>Data(16), DIB1=>Data(17), DIB2=>Data(18), 
            DIB3=>Data(19), DIB4=>Data(20), DIB5=>Data(21), 
            DIB6=>Data(22), DIB7=>Data(23), DIB8=>scuba_vlo, 
            DIB9=>Data(24), DIB10=>Data(25), DIB11=>Data(26), 
            DIB12=>Data(27), DIB13=>Data(28), DIB14=>Data(29), 
            DIB15=>Data(30), DIB16=>Data(31), DIB17=>scuba_vlo, 
            ADB0=>ByteEn(2), ADB1=>ByteEn(3), ADB2=>scuba_vlo, 
            ADB3=>scuba_vlo, ADB4=>Address(0), ADB5=>Address(1), 
            ADB6=>Address(2), ADB7=>Address(3), ADB8=>Address(4), 
            ADB9=>Address(5), ADB10=>Address(6), ADB11=>Address(7), 
            ADB12=>Address(8), ADB13=>scuba_vhi, CEB=>ClockEn, 
            CLKB=>Clock, WEB=>WE, CSB0=>scuba_vlo, CSB1=>scuba_vlo, 
            CSB2=>scuba_vlo, RSTB=>Reset, DOA0=>Q(0), DOA1=>Q(1), 
            DOA2=>Q(2), DOA3=>Q(3), DOA4=>Q(4), DOA5=>Q(5), DOA6=>Q(6), 
            DOA7=>Q(7), DOA8=>open, DOA9=>Q(8), DOA10=>Q(9), 
            DOA11=>Q(10), DOA12=>Q(11), DOA13=>Q(12), DOA14=>Q(13), 
            DOA15=>Q(14), DOA16=>Q(15), DOA17=>open, DOB0=>Q(16), 
            DOB1=>Q(17), DOB2=>Q(18), DOB3=>Q(19), DOB4=>Q(20), 
            DOB5=>Q(21), DOB6=>Q(22), DOB7=>Q(23), DOB8=>open, 
            DOB9=>Q(24), DOB10=>Q(25), DOB11=>Q(26), DOB12=>Q(27), 
            DOB13=>Q(28), DOB14=>Q(29), DOB15=>Q(30), DOB16=>Q(31), 
            DOB17=>open);

end Structure;

-- synopsys translate_off
library xp2;
configuration Structure_CON of dmem_ip is
    for Structure
        for all:VHI use entity xp2.VHI(V); end for;
        for all:VLO use entity xp2.VLO(V); end for;
        for all:DP16KB use entity xp2.DP16KB(V); end for;
    end for;
end Structure_CON;

-- synopsys translate_on
